com.corticon.eclipse.studio.vocabulary.core

## Interface IJavaMetadataAPI

- All Superinterfaces:
    IModelAPI

      public interface IJavaMetadataAPI
      extends IModelAPI

  Java Metadata API. This interface contains methods needed to load Java metadata from a supplied list of JARs and class folder paths, provides various finder and helper methods for using the data.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCache()` Clear the metadata.
    `com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.JavaMetadata` | `findJavaMetadata()` Finder for JavaMetadata anchor.
    `java.util.Vector` | `getAllClassesWithSpecificName(java.lang.String astrMatchingName)` Retrieve all ClassMetadata objects, regardless of PackageMetadata, whose name matches the passed in argument.
    `java.util.ArrayList` | `getAllClassNamesForPackage(java.lang.String astrPackageName)` Return a list all Class names associate with the desired Package Name.
    `java.util.ArrayList` | `getAllFullyQualifiedPackageNamesWithSubordinateClasses()` Return an ArrayList of fully qualified Package names that have subordinate ClassMetadata.
    `java.util.ArrayList` | `getAllObjectFieldNamesForAssociationEnd(java.lang.String astrPackageName, java.lang.String astrClassName)` Return all the Field names associated with the given Package and Class names for an Association.
    `java.util.ArrayList` | `getAllObjectFieldNamesForAttribute(java.lang.String astrPackageName, java.lang.String astrClassName)` Return all the Field names associated with the given Package and Class names.
    `java.util.ArrayList` | `getAllObjectGetMethodsForAssociationEnd(java.lang.String astrPackageName, java.lang.String astrClassName)` Return all the Getter Methods associated with the given Package and Class names for an Association.
    `java.util.ArrayList` | `getAllObjectGetMethodsForAttribute(java.lang.String astrPackageName, java.lang.String astrClassName)` Return all the Getter Methods associated with the given Package and Class names.
    `java.util.ArrayList` | `getAllObjectSetMethodsForAssociationEnd(java.lang.String astrPackageName, java.lang.String astrClassName)` Return all the Setter Methods associated with the given Package and Class names for an Association.
    `java.util.ArrayList` | `getAllObjectSetMethodsForAttribute(java.lang.String astrPackageName, java.lang.String astrClassName)` Return all the Setter Methods associated with the given Package and Class names.
    `com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.ClassMetadata` | `getClass(java.lang.String astrFullClassName)` Given a fully-qualified class name, locate the ClassMetadata entry.
    `com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.ClassMetadata` | `getClass(java.lang.String astrPackageName, java.lang.String astrClassName)` Look up the desired ClassMetadata object based on the passed in arguments.
    `com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.EnumMetadata` | `getEnumMetadataObject(java.lang.String astrFullEnumClassName)` Return the EnumMetadata object associated with the fully qualified Enumeration Business Object.
    `com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.PackageMetadata` | `getPackage(java.lang.String astrPackageName)` Get the Associated PackageMetadata based on the fully qualified Package name.
    `boolean` | `isMetadataLoaded()` Determine whether any metadata has been loaded.
    `java.lang.String` | `load(java.util.Collection<java.lang.String> acollClassNames, java.util.List<java.lang.String> alistClasspath, IProgressDelegate aIProgressDelegate)` Import Java class metadata corresponding to a collection of fully-qualified class names.

    - ### Methods inherited from interface com.corticon.eclipse.core.IModelAPI

      `activate, addAnnotation, addBatchedModelListener, addLowLevelModelListener, addModelListener, addResourceListener, addView, beginTransaction, cancelTransaction, canSetSupportedLocales, closeResource, createResource, deleteAnnotation, deleteAnnotation, deleteAnnotation, deleteResource, displayMessageBox, dispose, doPostLoadValidation, doSmartValidation, endTransaction, endTransaction, flushCommandStack, formatValidationMessageLocation, formatValidationMessageText, getAllLocalesProvidingCompleteLocalization, getAnnotation, getAnnotations, getAnnotations, getAnnotations, getAPIContextObject, getAsset, getBaseAttribute, getBaseAttributeString, getBatchedModelListeners, getBuildNumber, getBuildNumberOfLastValidationRulesChange, getEditingDomain, getErrors, getErrors, getIndexByLocale, getLocale, getLocalizedAttribute, getLocalizedAttributeString, getLowLevelModelListeners, getMajorServiceNumber, getMajorVersionNumber, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getMinorServiceNumber, getMinorVersionNumber, getModelAPIState, getModelListeners, getNewResourceName, getPersistenceServicesDelegate, getPreferences, getPrimaryResource, getPrimaryResourceURI, getScrollableMessageDelegate, getSupportedLocales, getSuppressBrokenLinkValidation, getSuppressValidation, getToolTip, getUpdateStamp, getUserInterfaceInfoDelegate, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessages, getValidationMessages, getWarnings, getWarnings, handleException, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, isAPIStateEstablished, isEnabledRedo, isEnabledUndo, isInhibitNotification, isLoaded, isOperationModeNormal, isOperationModeRedo, isOperationModeUndo, isPassive, isPostLoadInProgress, isPrimaryResourceSet, isReadOnly, isResourceActivated, isResourceConflict, isResourceDemandLoaded, isResourceLoaded, isScrollableMessageDelegateAvailable, isShowCanonicalValidationMessages, isSuppressModifiedFlagUpdates, isSuppressPostLoad, isTransactionInProgress, isValid, isValid, loadResource, loadResource, loadResource, newInstance, noOperation, postLoad, postMethod, postMethod, postsave, preMethod, presave, redo, reloadResource, remapResource, remapResource, removeBatchedModelListener, removeLowLevelModelListener, removeModelListener, removeResource, removeResourceListener, removeView, renameResource, rollbackTransaction, saveAll, saveResource, setAnnotation, setAPIContextObject, setAPIState, setBuildNumber, setEditingDomain, setInhibitNotification, setLocale, setMajorServiceNumber, setMajorVersionNumber, setMessageBoxDelegate, setMinorServiceNumber, setMinorVersionNumber, setModelAPIState, setModelListeners, setPassive, setPersistenceServicesDelegate, setPostLoadInProgress, setPreferencesDelegate, setPrimaryResource, setReadOnly, setScrollableMessageDelegate, setSupportedLocales, setSuppressBrokenLinkValidation, setSuppressModifiedFlagUpdates, setSuppressPostLoad, setSuppressValidation, setUserInterfaceInfoDelegate, undo, unloadResource, validate, validateLicense`

- - ### Method Detail

    - #### clearCache

          void clearCache()

      Clear the metadata.

    - #### findJavaMetadata

          com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.JavaMetadata findJavaMetadata()

      Finder for JavaMetadata anchor.
      Returns:
        Instance of JavaMetadata.

    - #### getAllClassesWithSpecificName

          java.util.Vector getAllClassesWithSpecificName(java.lang.String astrMatchingName)

      Retrieve all ClassMetadata objects, regardless of PackageMetadata, whose name matches the passed in argument.
      Parameters:
        `astrMatchingName` - Matching name.
      Returns:
        Vector of all ClassMetadata objects whose name matches the argument.

    - #### getAllClassNamesForPackage

          java.util.ArrayList getAllClassNamesForPackage(java.lang.String astrPackageName)

      Return a list all Class names associate with the desired Package Name.
      Parameters:
        `astrPackageName` - Package name.
      Returns:
        ArrayList of Class names.

    - #### getAllFullyQualifiedPackageNamesWithSubordinateClasses

          java.util.ArrayList getAllFullyQualifiedPackageNamesWithSubordinateClasses()

      Return an ArrayList of fully qualified Package names that have subordinate ClassMetadata.
      Returns:
        ArrayList of fully-qualified package names.

    - #### getAllObjectFieldNamesForAssociationEnd

          java.util.ArrayList getAllObjectFieldNamesForAssociationEnd(java.lang.String astrPackageName,
                                                                    java.lang.String astrClassName)

      Return all the Field names associated with the given Package and Class names for an Association.
      Parameters:
        `astrPackageName` - Package name.
        `astrClassName` - Class name.
      Returns:
        ArrayList of Field names.

    - #### getAllObjectFieldNamesForAttribute

          java.util.ArrayList getAllObjectFieldNamesForAttribute(java.lang.String astrPackageName,
                                                               java.lang.String astrClassName)

      Return all the Field names associated with the given Package and Class names.
      Parameters:
        `astrPackageName` - Package name.
        `astrClassName` - Class name.
      Returns:
        ArrayList of Field names.

    - #### getAllObjectGetMethodsForAssociationEnd

          java.util.ArrayList getAllObjectGetMethodsForAssociationEnd(java.lang.String astrPackageName,
                                                                    java.lang.String astrClassName)

      Return all the Getter Methods associated with the given Package and Class names for an Association.
      Parameters:
        `astrPackageName` - Package name.
        `astrClassName` - Class name.
      Returns:
        ArrayList of Method names.

    - #### getAllObjectGetMethodsForAttribute

          java.util.ArrayList getAllObjectGetMethodsForAttribute(java.lang.String astrPackageName,
                                                               java.lang.String astrClassName)

      Return all the Getter Methods associated with the given Package and Class names.
      Parameters:
        `astrPackageName` - Package name.
        `astrClassName` - Class name.
      Returns:
        ArrayList of Method names.

    - #### getAllObjectSetMethodsForAssociationEnd

          java.util.ArrayList getAllObjectSetMethodsForAssociationEnd(java.lang.String astrPackageName,
                                                                    java.lang.String astrClassName)

      Return all the Setter Methods associated with the given Package and Class names for an Association.
      Parameters:
        `astrPackageName` - Package name.
        `astrClassName` - Class name.
      Returns:
        ArrayList of Method names.

    - #### getAllObjectSetMethodsForAttribute

          java.util.ArrayList getAllObjectSetMethodsForAttribute(java.lang.String astrPackageName,
                                                               java.lang.String astrClassName)

      Return all the Setter Methods associated with the given Package and Class names.
      Parameters:
        `astrPackageName` - Package name.
        `astrClassName` - Class name.
      Returns:
        ArrayList of Method names

    - #### getClass

          com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.ClassMetadata getClass(java.lang.String astrFullClassName)

      Given a fully-qualified class name, locate the ClassMetadata entry.
      Parameters:
        `astrFullClassName` - Fully-qualified class name.
      Returns:
        ClassMetadata.

    - #### getClass

          com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.ClassMetadata getClass(java.lang.String astrPackageName,
                                                                                            java.lang.String astrClassName)

      Look up the desired ClassMetadata object based on the passed in arguments.
      Parameters:
        `astrPackageName` - Package name.
        `astrClassName` - Class name.
      Returns:
        ClassMetadata.

    - #### getEnumMetadataObject

          com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.EnumMetadata getEnumMetadataObject(java.lang.String astrFullEnumClassName)

      Return the EnumMetadata object associated with the fully qualified Enumeration Business Object.
      Parameters:
        `astrFullEnumClassName` - Enum class name.
      Returns:
        EnumMetadata.

    - #### getPackage

          com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.PackageMetadata getPackage(java.lang.String astrPackageName)

      Get the Associated PackageMetadata based on the fully qualified Package name.
      Parameters:
        `astrPackageName` - Fully qualified Package name.
      Returns:
        PackageMetadata.

    - #### isMetadataLoaded

          boolean isMetadataLoaded()

      Determine whether any metadata has been loaded.
      Returns:
        `true` if metadata is present.

    - #### load

          java.lang.String load(java.util.Collection<java.lang.String> acollClassNames,
                              java.util.List<java.lang.String> alistClasspath,
                              IProgressDelegate aIProgressDelegate)

      Import Java class metadata corresponding to a collection of fully-qualified class names.
      Parameters:
        `acollClassNames` - Collection (String) of fully-qualified class names to import.
        `alistClasspath` - List of paths to JARs or class folders.
        `aIProgressDelegate` - Progress delegate or `null` if no progress reporting is needed.
      Returns:
        List of errors detected during import or `null`.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.